## e3 2.61

=== Makefile ===
--- 
+++ 
@@ -110,6 +110,34 @@
 	ln -sf e3 e3vi
 	ln -sf e3 e3ne
 
+# L I N U X   only
+# Experimental stuff for using YASM assembler
+# needs some sed changes (jmp vs jmp near) due heavy bugs in YASM optimizer
+# (how to switch off that optimizer ?)
+yasm:	$(ASOURCES) Makefile
+	cat e3.asm | sed -f e3_nasm_yasm.sed \
+		| yasm -f elf -p nasm $(AFLAGS) -l e3.lstyasm -o e3.o -DLINUX -DSED -DYASM
+	ld -s -o e3 e3.o
+	ln -sf e3 e3ws
+	ln -sf e3 e3em
+	ln -sf e3 e3pi
+	ln -sf e3 e3vi
+	ln -sf e3 e3ne
+
+# L I N U X / AMD-64  only
+# ditto YASM stuff
+yasm64:	$(ASOURCES) Makefile
+	cat e3.asm 	| sed -f e3_nasm_yasm.sed \
+			| sed -f e3_yasm_yasm64.sed \
+		| yasm  -m amd64 -f elf -p nasm $(AFLAGS) -l e3.lstyasm64 -o e3.o -DLINUX -DSED -DYASM -DAMD64
+	ld -s -o e3 e3.o
+	ln -sf e3 e3ws
+	ln -sf e3 e3em
+	ln -sf e3 e3pi
+	ln -sf e3 e3vi
+	ln -sf e3 e3ne
+
+
 # selftest, linux only, assembled with a special option for using an input pipe
 test:
 ifeq	($(OS),LINUX)
