=== debian/changelog ===
e3 (1:2.71-2) unstable; urgency=medium

  * QA upload.
  * Set Maintainer field to QA group
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/postinst
  * Update standards version to 4.3.0 (no changes needed)
  * Update debhelper compat to 11
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Convert source format to 3.0 (quilt), unapplied
  * Simplify `debian/rules'
  * Apply patch to avoid segmentation faults (Closes: #913014)
    + Thanks: Bernhard Übelacker <bernhardu@mailbox.org>
  * Improve wording and formatting of package description
  * Update lintian-overrides file

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 13 Jan 2019 17:46:12 +0000

e3 (1:2.71-1) unstable; urgency=low

  * New upstream version
  * General cleanup (lintian warnings, standards version, etc.)

 -- Paweł Więcek <coven@debian.org>  Sat, 08 Mar 2008 14:31:17 +0100

e3 (1:2.70-3) unstable; urgency=high

  * Workaround upx problem appearing on *some* autobuilders by dropping upx
    (closes: #383164)
  * Urgency=high because it's release critical

 -- Paweł Więcek <coven@debian.org>  Thu, 28 Dec 2006 22:15:13 +0100

e3 (1:2.70-2) unstable; urgency=low

  * Added support for calling as 'ws', 'emacs', 'pico', 'vi' or 'nedit'
    (closes: #345173)
  * Added kfreebsd-amd64 to arch list (closes: #361628)

 -- Paweł Więcek <coven@debian.org>  Fri, 21 Apr 2006 23:14:02 +0200

e3 (1:2.70-1) unstable; urgency=low

  * New upstream version
  * Updated to current debhelper

 -- Pawel Wiecek <coven@debian.org>  Wed, 29 Mar 2006 23:32:05 +0200

e3 (1:2.61-2) unstable; urgency=low

  * Added kfreebsd-i386 to arch list (closes: #314337)
  * Updated standards-version (no changes required)
  * Updated debian/menu to current preferred format
  * Fixed prerm (closes: #328284, #301784)

 -- Pawel Wiecek <coven@debian.org>  Thu, 22 Sep 2005 21:33:34 +0200

e3 (1:2.61-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Sat,  8 Jan 2005 17:52:59 +0100

e3 (1:2.50-1) unstable; urgency=low

  * New upstream version
  * Added amd64 support (closes: #249972)
  * Updated standards version (no changes required)

 -- Pawel Wiecek <coven@debian.org>  Wed,  9 Jun 2004 00:12:26 +0200

e3 (1:2.43-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Wed, 23 Apr 2003 15:11:24 +0200

e3 (1:2.40-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Mon, 14 Oct 2002 12:14:03 +0200

e3 (1:2.33-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Fri, 24 May 2002 13:40:06 +0200

e3 (1:2.31-1) unstable; urgency=low

  * New upstream version
  * Fixed mistaken version numbering (closes: #144003)

 -- Pawel Wiecek <coven@debian.org>  Tue, 23 Apr 2002 11:28:47 +0200

e3 (e3-2.30-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Mon,  8 Apr 2002 20:38:38 +0200

e3 (2.21-1) unstable; urgency=low

  * New upstream version

 -- Pawel Wiecek <coven@debian.org>  Mon, 18 Mar 2002 21:26:14 +0100

e3 (2.20-1) unstable; urgency=low

  * New upstream version
  * Renumbered from upstream version number 2.2 to 2.20

 -- Pawel Wiecek <coven@debian.org>  Tue, 12 Mar 2002 15:07:06 +0100

e3 (2.11-1) unstable; urgency=low

  * New upstream version
  * Fixed prerm to remove the *correct* links (closes: #135496)

 -- Pawel Wiecek <coven@debian.org>  Tue,  5 Mar 2002 13:59:26 +0100

e3 (2.1-1) unstable; urgency=low

  * New upstream version (closes: #133879)
  * Two short jumps converted to long ones -- new nasm generates some
    additional bytes of code (!!!)

 -- Pawel Wiecek <coven@debian.org>  Thu, 14 Feb 2002 12:58:36 +0100

e3 (2.0-3) unstable; urgency=low

  * New maintainer (closes: #130820)
  * Refreshed package a bit -- new debhelper, updated standards-version
  * I had to convert one short jump to a long one -- otherwise nasm produced
    error. I'd have to examine it further...

 -- Pawel Wiecek <coven@debian.org>  Fri,  1 Feb 2002 14:11:04 +0100

e3 (2.0-2) unstable; urgency=low

  * Orphaned this package.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 25 Jan 2002 12:46:05 +0100

e3 (2.0-1) unstable; urgency=high

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Thu,  3 Jan 2002 12:14:41 +0100

e3 (1.9-1) unstable; urgency=high

  * New upstream release.
    - It's now possible to suspend e3 using ^Z. (closes: #119363)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri,  7 Dec 2001 09:12:10 +0100

e3 (1.8.2-1) unstable; urgency=high

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 30 Nov 2001 17:07:57 +0100

e3 (1.8.1-1) unstable; urgency=low

  * New upstream release.
  * Lower the priorities at the update-alternatives calls from
    20 to 10 in debian/postinst.

 -- Adrian Bunk <bunk@fs.tum.de>  Sat, 17 Nov 2001 18:09:23 +0100

e3 (1.7-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Wed, 11 Jul 2001 11:30:47 +0200

e3 (1.6.2-1) unstable; urgency=low

  * New upstream release.

 -- Adrian Bunk <bunk@fs.tum.de>  Sun,  1 Jul 2001 18:46:16 +0200

e3 (1.5-1) unstable; urgency=low

  * New upstream release.
  * Added a patch sent by Chad C. Walstrom <chewie@wookimus.net>
    to add some alternatives. (closes: #90152)
  * Standards-Version: 3.5.4 (no changes)

 -- Adrian Bunk <bunk@fs.tum.de>  Sat,  5 May 2001 21:03:19 +0200

e3 (1.4-3) unstable; urgency=low

  * Use upx instead of gzexe. (closes: #92340)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 13 Apr 2001 01:14:46 +0200

e3 (1.4-2) unstable; urgency=low

  * Use gzexe to make e3 smaller. (closes: #75807)
  * Standards-Version: 3.5.2 (no changes)

 -- Adrian Bunk <bunk@fs.tum.de>  Fri, 16 Mar 2001 00:52:04 +0100

e3 (1.4-1) unstable; urgency=low

  * New upstream release.
  * Corrected the symlinks for e3?? . (closes: #79787)


