=== debian/control ===
Source: e3
Section: editors
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends:
 debhelper-compat (= 11),
 nasm,
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/debian/e3.git
Vcs-Browser: https://salsa.debian.org/debian/e3
Homepage: http://mitglied.lycos.de/albkleine/

Package: e3
Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: very small text editor
 This package contains an editor you can call via the following links:
 .
  * e3em: Emacs-like key bindings
  * e3vi: Vi-like key bindings
  * e3pi: Pico-like key bindings
  * e3ne: Nedit-like key bindings
  * e3ws: Wordstar-like key bindings
 .
 e3 has the following advantages over other editors:
   - it has no library dependencies
   - one very small binary (only 10 kB) that gives you 5 editors
