=== debian/watch ===
version=3

opts=dversionmangle=s/(\d)$/.$1/ \
  http://mitglied.lycos.de/albkleine/ e3-(.+)\.tar\.gz
