## e3 2.82%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=s/\+dfsg$// \
  https://sites.google.com/site/e3editor/system/app/pages/recentChanges \
  https://sites.google.com/site/e3editor/Home/e3-(.*)\.tgz(?:.*)
