=== debian/changelog ===
e3 (1:2.82+dfsg-2) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Wed, 10 Feb 2021 14:58:27 +0200

e3 (1:2.82+dfsg-1) experimental; urgency=medium

  * QA upload.
  * Exclude pre-built binaries from upstream tarball.
  * Update "debian/watch" to use new project home.
  * Update homepage information in "debian/control".
  * New upstream release.
  * Install symlinks in /usr/share/man to match symlinks in /bin.

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 12 May 2019 05:23:30 +0000
