=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
 Standards-Version: 4.3.0
 Vcs-Git: https://salsa.debian.org/debian/e3.git
 Vcs-Browser: https://salsa.debian.org/debian/e3
-Homepage: http://mitglied.lycos.de/albkleine/
+Homepage: https://sites.google.com/site/e3editor/
 
 Package: e3
 Architecture: amd64 i386 kfreebsd-amd64 kfreebsd-i386
