=== e3c/Makefile ===
# edit dest dir prefix if you want....

        PREFIX='/usr/local'
#	PREFIX=/boot/home
#	(used /boot/home in BeOS)

LIBDIR='$(PREFIX)/lib'
BINDIR='$(PREFIX)/bin'
MANSEC='1'
MANDIR='$(PREFIX)/man/man$(MANSEC)'


##_____________________________________________________________

CTARGET=e3c
CSOURCES=e3.c
CFLAGS = -Wall  -g -O2 -fomit-frame-pointer

all: $(CTARGET)


$(CTARGET): $(CSOURCES) Makefile
	gcc $(CFLAGS) -DLIBDIR=\"$(PREFIX)/lib\" $(CSOURCES) -o $(CTARGET)
	strip $(CTARGET)

list:	$(CSOURCES) Makefile
	gcc $(CFLAGS) -Wa,-a -c -g -DLIBDIR=\"$(PREFIX)/lib\" $(CSOURCES) >e3c.list

install: $(CTARGET)
	install -d $(PREFIX) $(BINDIR) $(LIBDIR) $(MANDIR)
	install -m 755 $(CTARGET) $(BINDIR)
	install -m 644 e3ws.hlp $(LIBDIR)
	install -m 644 e3.res $(LIBDIR)	
	install -m 644 $(CTARGET).man $(MANDIR)/$(CTARGET).$(MANSEC)
