=== bin/NetBSD/Makefile ===
--- 
+++ 
@@ -18,7 +18,6 @@
 OS=LINUX	# okay for NetBSD
 #OS=BEOS
 #OS=FREEBSD
-#OS=OPENBSD
 #OS=QNX
 #OS=W32 	** please use a separate make.bat for W9x **
