=== bin/OpenBSD/Makefile ===
--- 
+++ 
@@ -6,8 +6,7 @@
 
 #OS=LINUX
 #OS=BEOS
-#OS=FREEBSD
-OS=OPENBSD
+OS=FREEBSD	# okay for OpenBSD
 #OS=QNX
 #OS=W32 	** please use a separate make.bat for W9x **
